package com.clx.performance.service.vehiclewarn;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.pc.vehiclewarn.*;
import com.clx.performance.vo.pc.vehiclewarn.VehicleWarnConfigVO;

import java.util.List;

public interface VehicleWarnConfigService {

    void saveConfig(VehicleWarnConfigAddParam param);

    void updateConfig(VehicleWarnConfigUpdateParam param);
    void updateStatus(VehicleWarnConfigStatusUpdateParam param);
    void deleteConfig(VehicleWarnConfigDeleteUpdateParam param);

    VehicleWarnConfigVO getConfig(Integer id);
    IPage<VehicleWarnConfigVO> pageConfig(PageVehicleWarnConfigParam param);
    List<VehicleWarnConfigVO.WarnTypeItem> listWarnType();

}
